WP5StylesListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP5StylesListener Class Reference

`#include <WP5StylesListener.h>`

Inheritance diagram for WP5StylesListener:

## Public Member Functions
| WP5StylesListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList, std::vector< WP5SubDocument * > &subDocuments)
void | startDocument ()
void | startSubDocument ()
void | setFont (const librevenge::RVNGString &, double)
void | setTabs (const std::vector< WPXTabStop > &, unsigned short)
void | insertCharacter (unsigned)
void | insertTab (unsigned char, double)
virtual void | insertIndent (unsigned char, double)
void | characterColorChange (unsigned char, unsigned char, unsigned char)
void | insertEOL ()
void | insertBreak (unsigned char breakType)
void | attributeChange (bool, unsigned char)
void | lineSpacingChange (double)
void | justificationChange (unsigned char)
void | pageMarginChange (unsigned char side, unsigned short margin)
void | pageFormChange (unsigned short length, unsigned short width, WPXFormOrientation orientation)
void | marginChange (unsigned char side, unsigned short margin)
void | endDocument ()
void | endSubDocument ()
void | defineTable (unsigned char, unsigned short)
void | addTableColumnDefinition (unsigned, unsigned, unsigned, unsigned, unsigned char)
void | startTable ()
void | insertRow (unsigned short rowHeight, bool isMinimumHeight, bool isHeaderRow)
void | insertCell (unsigned char colSpan, unsigned char rowSpan, unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, WPXVerticalAlignment cellVerticalAlignment, bool useCellAttributes, unsigned cellAttributes)
void | endTable ()
void | insertNoteReference (const librevenge::RVNGString &)
void | insertNote (WPXNoteType, const WP5SubDocument *)
void | headerFooterGroup (unsigned char headerFooterType, unsigned char occurrenceBits, WP5SubDocument *subDocument)
void | suppressPageCharacteristics (unsigned char suppressCode)
void | boxOn (unsigned char, unsigned char, unsigned short, unsigned short, unsigned short, unsigned short)
virtual void | boxOff ()
virtual void | insertGraphicsData (const librevenge::RVNGBinaryData *)
Public Member Functions inherited from WP5Listener
| WP5Listener ()
virtual | ~WP5Listener ()
void | setPrefixData (WP5PrefixData *prefixData)
const WP5GeneralPacketData * | getGeneralPacketData (const int type) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXStylesListener ()
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP5StylesListener (const WP5StylesListener &)
WP5StylesListener & | operator= (const WP5StylesListener &)

## Private Attributes
WPXPageSpan | m_currentPage
WPXPageSpan | m_nextPage
WPXTableList | m_tableList
WPXTable * | m_currentTable
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::vector< WP5SubDocument * > & | m_subDocuments
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP5StylesListener::WP5StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList,
|  | std::vector< WP5SubDocument * > & | subDocuments
| ) |  |

Referenced by insertGraphicsData().

WP5StylesListener::WP5StylesListener | ( | const WP5StylesListener & |  | ) |
| private

## Member Function Documentation

void WP5StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup(), insertBreak(), and insertGraphicsData().

void WP5StylesListener::addTableColumnDefinition | ( | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned | ,
|  | unsigned char |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inlinevirtual

Implements WP5Listener.

virtual void WP5StylesListener::boxOff | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::boxOn | ( | unsigned char | ,
|  | unsigned char | ,
|  | unsigned short | ,
|  | unsigned short | ,
|  | unsigned short | ,
|  | unsigned short |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::characterColorChange | ( | unsigned char | ,
|  | unsigned char | ,
|  | unsigned char |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::defineTable | ( | unsigned char | ,
|  | unsigned short |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::endDocument | ( |  | ) |
| virtual

Implements WP5Listener.

Referenced by justificationChange().

void WP5StylesListener::endSubDocument | ( |  | ) |
| virtual

Implements WP5Listener.

Referenced by justificationChange(), and WP5Parser::parseSubDocument().

void WP5StylesListener::endTable | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::headerFooterGroup | ( | unsigned char | headerFooterType,
|  | unsigned char | occurrenceBits,
|  | WP5SubDocument * | subDocument
| ) |  |
| virtual

Implements WP5Listener.

Referenced by insertNote().

void WP5StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| virtual

Implements WP5Listener.

Referenced by endDocument(), endSubDocument(), and insertEOL().

void WP5StylesListener::insertCell | ( | unsigned char | colSpan,
|  | unsigned char | rowSpan,
|  | unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | WPXVerticalAlignment | cellVerticalAlignment,
|  | bool | useCellAttributes,
|  | unsigned | cellAttributes
| ) |  |
| virtual

Implements WP5Listener.

Referenced by addTableColumnDefinition().

void WP5StylesListener::insertCharacter | ( | unsigned |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::insertEOL | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

virtual void WP5StylesListener::insertGraphicsData | ( | const librevenge::RVNGBinaryData * |  | ) |
| inlinevirtual

Implements WP5Listener.

virtual void WP5StylesListener::insertIndent | ( | unsigned char | ,
|  | double |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::insertNote | ( | WPXNoteType | ,
|  | const WP5SubDocument * |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::insertNoteReference | ( | const librevenge::RVNGString & |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::insertRow | ( | unsigned short | rowHeight,
|  | bool | isMinimumHeight,
|  | bool | isHeaderRow
| ) |  |
| virtual

Implements WP5Listener.

Referenced by addTableColumnDefinition().

void WP5StylesListener::insertTab | ( | unsigned char | ,
|  | double |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::justificationChange | ( | unsigned char |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::lineSpacingChange | ( | double |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::marginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| virtual

Implements WP5Listener.

Referenced by justificationChange().

WP5StylesListener& WP5StylesListener::operator= | ( | const WP5StylesListener & |  | ) |
| private

Referenced by insertGraphicsData().

void WP5StylesListener::pageFormChange | ( | unsigned short | length,
|  | unsigned short | width,
|  | WPXFormOrientation | orientation
| ) |  |
| virtual

Implements WP5Listener.

Referenced by justificationChange().

void WP5StylesListener::pageMarginChange | ( | unsigned char | side,
|  | unsigned short | margin
| ) |  |
| virtual

Implements WP5Listener.

Referenced by justificationChange().

void WP5StylesListener::setFont | ( | const librevenge::RVNGString & | ,
|  | double |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::setTabs | ( | const std::vector< WPXTabStop > & | ,
|  | unsigned short |
| ) |  |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::startDocument | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

void WP5StylesListener::startSubDocument | ( |  | ) |
| inlinevirtual

Implements WP5Listener.

Referenced by WP5Parser::parseSubDocument().

void WP5StylesListener::startTable | ( |  | ) |
| virtual

Implements WP5Listener.

Referenced by addTableColumnDefinition().

void WP5StylesListener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| virtual

Implements WP5Listener.

Referenced by insertNote().

## Member Data Documentation

WPXPageSpan WP5StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), marginChange(), pageFormChange(), pageMarginChange(), and suppressPageCharacteristics().

bool WP5StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), headerFooterGroup(), insertBreak(), insertCell(), insertCharacter(), insertEOL(), insertIndent(), insertRow(), insertTab(), marginChange(), pageFormChange(), and startTable().

WPXTable* WP5StylesListener::m_currentTable
| private

Referenced by _handleSubDocument(), insertCell(), insertRow(), and startTable().

bool WP5StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginChange().

WPXPageSpan WP5StylesListener::m_nextPage
| private

Referenced by headerFooterGroup(), and insertBreak().

std::list<WPXPageSpan>::iterator WP5StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), and marginChange().

std::vector<WP5SubDocument *>& WP5StylesListener::m_subDocuments
| private

Referenced by headerFooterGroup().

WPXTableList WP5StylesListener::m_tableList
| private

Referenced by _handleSubDocument(), and startTable().

double WP5StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginChange().

double WP5StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginChange().

The documentation for this class was generated from the following files:

- WP5StylesListener.h
- WP5StylesListener.cpp